petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscLogEventGetPerfInfo

Return the performance information about the given event in the given stage

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventGetPerfInfo(int stage,PetscLogEvent event,PetscEventPerfInfo *info)

### Input Parameters

| stage | - The stage number or PETSC_DETERMINE for the current stage
| event | - The event number

### Output Parameters

| info | - This structure is filled with the performance information

### See Also

PetscLogEventGetFlops()

### Level

Intermediate

### Location

src/sys/logging/utils/eventlog.c

### Examples

src/ksp/ksp/tutorials/ex76.c.html
src/ksp/ksp/tutorials/ex79.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages